// A demonstration of how to use the PeasyCam library
// to tumble a 3D object around interactively.

import peasy.*;

PShape airplane;

PeasyCam cam;

void setup()
{
  size( 500, 500, P3D );
  airplane = loadShape( "airplane.obj" );
  airplane.disableStyle();
  
  cam = new PeasyCam( this, 100 );
  cam.setMinimumDistance( 10 );
  cam.setMaximumDistance( 500 );
}

void draw()
{
  background( 50 );
  lights();
  noStroke();
  fill( 255, 255, 0 );

  pushMatrix();
  scale( 2 );
  shape( airplane );
  popMatrix();
}